package com.example.wholeestate.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.example.wholeestate.common.base.BaseController;
import com.example.wholeestate.common.resp.ResponseBean;
import com.example.wholeestate.model.Dict;
import com.example.wholeestate.service.IDictService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 *  字典表 前端控制器
 * </p>
 *
 * @author weiximei
 * @since 2019-03-21
 */
@RestController
@RequestMapping("/")
@Api(value = "字典 API", description = "字典 API")
public class DictController extends BaseController {

    @Autowired
    private IDictService iDictService;

    @RequestMapping(value = "/dict", method = RequestMethod.GET)
    @ApiOperation(value = "获取字典", notes = "获取字典")
    public ResponseBean getDictList() {
        ResponseBean responseBean = new ResponseBean();
        QueryWrapper<Dict> dictQueryWrapper = new QueryWrapper<>();
        dictQueryWrapper.eq("status", 1);
        List<Dict> list = iDictService.list(dictQueryWrapper);
        responseBean.addSuccess(list);
        return responseBean;
    }

}
