package com.example.wholeestate.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 评论表
 * </p>
 *
 * @author weiximei
 * @since 2019-03-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ta_comment")
public class Comment implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 评论ID
     */
    private String commentId;

    /**
     * 用户ID
     */
    private String customerId;

    /**
     * 用户姓名
     */
    private String customerName;

    /**
     * 头像
     */
    private String avatar;

    /**
     * 评论主题类型
     */
    private String commentType;

    /**
     * 评论主体
     */
    private String mainId;

    /**
     * 父级
     */
    private String parentId;

    /**
     * 评论
     */
    private String commentContent;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 0正常，-1删除
     */
    private Integer status;

    /**
     * 子评论
     */
    @TableField(exist = false)
    private List<Comment> childComment;

}
