package com.example.wholeestate.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.example.wholeestate.common.resp.ResponseBean;
import com.example.wholeestate.model.ActivityEnroll;

/**
 * <p>
 * 活动报名表 服务类
 * </p>
 *
 * @author weiximei
 * @since 2019-03-20
 */
public interface IActivityEnrollService extends IService<ActivityEnroll> {

    /**
     * 根据活动id 查询 活动报名列表
     * @param activityId
     * @param pageSize
     * @param pageNum
     * @return
     */
    ResponseBean getActivitySignUpList(String activityId, Integer pageNum, Integer pageSize, String customerName, String customerPhone);

    /**
     * 根据 openid 查询. 我的活动记录
     * @param openid
     * @return
     */
    ResponseBean getOpenidActivityUpList(String openid, Integer pageNum, Integer pageSize);

    /**
     * 微信小程序 报名活动
     * @param parameter
     * @return
     */
    ResponseBean wxSignUpActivity(String openid,String parameter);

}
